<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">


<!--
IGAC proyecto SNC
@author 		david.cifuentes
@version 		1.0
@description	Pantalla con filtros que tiene como fin realizar la búsqueda de trámites y su estado en el proceso.
@cu 			CU-NP-CO-174
@modified               juanfelipe.garcia :: 19/06/2013 cambio de la pagina de un TAB a un menu

@modified leidy.gonzalez :: 27/01/2015 :: #11154 :: Se agrega composite que se llama 
al visualizar los documentos soporte en la pagina detalleTramiteEjecucion al consultar los tramites


@modified by leidy.gonzalez:: #13458 :: 15-07-2015 :: Se modifica el 
detallesPredioWV por el detallePredioWV que es el que actaulmente se esta usuando
para la vista de predios. Y se modifica el Manage Bean desde donde se esta llamando
el visualizadorMemorandosCC
-->
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Administración de comisiones::.
    </ui:define>

    <ui:define name="content">
        <p:focus />

        <p:spacer height="20" width="0" />

        <h:form id="formConsultaTramite"
                onkeypress="return event.keyCode != 13;">

            <p:ajaxStatus onstart="statusDialog.show();"
                          onsuccess="statusDialog.hide();" />

            <script type="text/javascript"
                    src="#{request.contextPath}/js/jquery.autotab-1.1b.js" />
            <script type="text/javascript">
                    $(document)
                            .ready(
                                    function () {
                                        $(
                                                '#formConsultaTramite'
                                                + validColonString() + 's1,#formConsultaTramite'
                                                + validColonString() + 's2,#formConsultaTramite'
                                                + validColonString() + 's3,#formConsultaTramite'
                                                + validColonString() + 's4,#formConsultaTramite'
                                                + validColonString() + 's5,#formConsultaTramite'
                                                + validColonString() + 's6,#formConsultaTramite'
                                                + validColonString() + 's7,#formConsultaTramite'
                                                + validColonString() + 's8,#formConsultaTramite'
                                                + validColonString() + 's9,#formConsultaTramite'
                                                + validColonString() + 's10,#formConsultaTramite'
                                                + validColonString() + 's11,#formConsultaTramite'
                                                + validColonString() + 's12')
                                                .autotab_magic().autotab_filter('numeric');
                                    });
            </script>

            <p:messages id="msgConsultaTramite" showDetail="false"
                        globalOnly="false" />

            <h:panelGrid width="100%">

                <p:panel header="Criterios de búsqueda" id="panelconsultaTramite">

                    <p:fieldset>
                        <h:panelGrid columns="4" cellpadding="3" cellspacing="3">
                            <h:panelGrid columns="2">    
                                <h:outputLabel value="Territorial:" styleClass="outputLabelStyle" 
                                               rendered="#{!consultaTramite.usuarioDelegado and !consultaTramite.usuarioHabilitada}"/>
                                <h:outputLabel value="Delegada:" styleClass="outputLabelStyle"
                                               rendered="#{consultaTramite.usuarioDelegado}"/>
                                <h:outputLabel value="Habilitado:" styleClass="outputLabelStyle"
                                               rendered="#{consultaTramite.usuarioHabilitada}"/>
                                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                            </h:panelGrid>
                            <h:panelGrid columns="2">
                                <h:selectOneMenu style="width:150px;"
                                                 disabled="#{consultaTramite.usuarioDelegado or consultaTramite.usuarioHabilitada}"
                                                 value="#{consultaTramite.territorialSeleccionadaCodigo}"
                                                 required="true" requiredMessage="La territorial es un campo abligatorio">
                                    <f:selectItems value="#{consultaTramite.territorialesItemList}"/>

                                    <p:ajax process="@this" update="panelconsultaTramite"
                                            listener="#{consultaTramite.onCambioTerritorial}" />
                                </h:selectOneMenu>
                                <p:message for="tipoTramite" display="icon" />    
                            </h:panelGrid>
                            <h:outputLabel value="Unidades operativas de catastro:"
                                           styleClass="outputLabelStyle" />
                            <h:selectOneMenu style="width:150px;"
                                             disabled="#{consultaTramite.usuarioDelegado or consultaTramite.usuarioHabilitada}"
                                             value="#{consultaTramite.unidadOperativaSeleccionadaCodigo}">
                                <f:selectItem itemLabel="Seleccionar..." itemValue="-1"/>
                                <f:selectItems
                                    value="#{consultaTramite.unidadesOperativasCatastro}" />

                            </h:selectOneMenu>

                            <h:outputLabel value="Número de solicitud: "
                                           styleClass="outputLabelStyle" />
                            <h:inputText
                                value="#{consultaTramite.datosConsultaTramite.numeroSolicitud}"
                                id="numSolicitud" label="Número de Solicitud" size="30"
                                />

                            <p:spacer/>
                            <p:spacer/>

                            <h:outputLabel value="Número de radicación:" for="numRadicacion" styleClass="outputLabelStyle"/>
                            <h:inputText id="numRadicacion" value="#{consultaTramite.datosConsultaTramite.numeroRadicacion}" size="30"  />

                            <p:spacer/>
                            <p:spacer/>

                            <h:outputLabel value="Fecha radicación: " for="fechaRadicacion"
                                           styleClass="outputLabelStyle" />
                            <p:calendar id="fechaRadicacion" effect="explode"
                                        value="#{consultaTramite.datosConsultaTramite.fechaRadicacion}"
                                        locale="es_CO"
                                        navigator="true" label="Fecha de radicación de trámite"
                                        maxdate="#{general.fechaActual}" mindate="#{consultaTramite.minDate}"
                                        pattern="#{general.formatoFechaComponenteCalendar}" showOn="both"
                                        title="#{general.formatoFechaUsuario}" size="12" />

                            <h:outputLabel value="Fecha radicación hasta: " for="fechaRadicacion"
                                           styleClass="outputLabelStyle" />
                            <p:calendar id="fechaRadicacionHasta" effect="explode"
                                        value="#{consultaTramite.datosConsultaTramite.fechaRadicacionFinal}"
                                        locale="es_CO"
                                        navigator="true" label="Fecha de radicación de trámite final"
                                        maxdate="#{general.fechaActual}" mindate="#{consultaTramite.minDate}"
                                        pattern="#{general.formatoFechaComponenteCalendar}" showOn="both"
                                        title="#{general.formatoFechaUsuario}" size="12" />

                            <h:outputLabel value="Ejecutor" for="ejecutor"
                                           styleClass="outputLabelStyle" />
                            <h:selectOneMenu id="ejecutor" label="ejecutor"
                                             style="width:150px;"
                                             value="#{consultaTramite.datosConsultaTramite.funcionarioEjecutor}">
                                <f:selectItem itemLabel="Seleccionar..." />
                                <f:selectItems value="#{consultaTramite.ejecutoresSelectItem}" />
                            </h:selectOneMenu>

                            <p:spacer/>
                            <p:spacer/>

                            <h:outputLabel value="Número predial: "
                                           styleClass="outputLabelStyle" />

                            <h:panelGroup>
                                <h:inputText id="s1"
                                             value="#{consultaTramite.datosConsultaPredio.numeroPredialS1}"
                                             size="1" maxlength="2"
                                             onkeyup="saltar(this, 2, 2, 3, 'tareasTab:formConsultaTramite:');"/>
                                <p:spacer width="2" />

                                <h:inputText id="s2"
                                             value="#{consultaTramite.datosConsultaPredio.numeroPredialS2}"
                                             size="3" maxlength="3"
                                             onkeyup="saltar(this, 3, 3, 2, 'tareasTab:formConsultaTramite:');"/>
                                <p:spacer width="2" />

                                <h:inputText id="s3"
                                             value="#{consultaTramite.datosConsultaPredio.numeroPredialS3}"
                                             size="2" maxlength="2"
                                             onkeyup="saltar(this, 2, 4, 2, 'tareasTab:formConsultaTramite:');" />
                                <p:spacer width="2" />

                                <h:inputText id="s4"
                                             value="#{consultaTramite.datosConsultaPredio.numeroPredialS4}"
                                             size="2" maxlength="2"
                                             onkeyup="saltar(this, 2, 5, 2, 'tareasTab:formConsultaTramite:');"/>
                                <p:spacer width="2" />

                                <h:inputText id="s5"
                                             value="#{consultaTramite.datosConsultaPredio.numeroPredialS5}"
                                             size="2" maxlength="2"
                                             onkeyup="saltar(this, 2, 6, 2, 'tareasTab:formConsultaTramite:');"/>
                                <p:spacer width="2" />

                                <h:inputText id="s6"
                                             value="#{consultaTramite.datosConsultaPredio.numeroPredialS6}"
                                             size="2" maxlength="2"
                                             onkeyup="saltar(this, 2, 7, 4, 'tareasTab:formConsultaTramite:');"/>
                                <p:spacer width="2" />

                                <h:inputText id="s7"
                                             value="#{consultaTramite.datosConsultaPredio.numeroPredialS7}"
                                             size="4" maxlength="4"
                                             onkeyup="saltar(this, 4, 8, 4, 'tareasTab:formConsultaTramite:');"/>
                                <p:spacer width="2" />

                                <h:inputText id="s8"
                                             value="#{consultaTramite.datosConsultaPredio.numeroPredialS8}"
                                             size="4" maxlength="4"
                                             onkeyup="saltar(this, 4, 9, 1, 'tareasTab:formConsultaTramite:');"/>
                                <p:spacer width="2" />

                                <h:inputText id="s9"
                                             value="#{consultaTramite.datosConsultaPredio.numeroPredialS9}"
                                             size="1" maxlength="1"
                                             onkeyup="saltar(this, 1, 10, 2, 'tareasTab:formConsultaTramite:');"/>
                                <p:spacer width="2" />

                                <h:inputText id="s10"
                                             value="#{consultaTramite.datosConsultaPredio.numeroPredialS10}"
                                             size="2" maxlength="2"
                                             onkeyup="saltar(this, 2, 11, 2, 'tareasTab:formConsultaTramite:');" />
                                <p:spacer width="2" />

                                <h:inputText id="s11"
                                             value="#{consultaTramite.datosConsultaPredio.numeroPredialS11}"
                                             size="2" maxlength="2"
                                             onkeyup="saltar(this, 2, 12, 4, 'tareasTab:formConsultaTramite:');"/>
                                <p:spacer width="2" />

                                <h:inputText id="s12"
                                             value="#{consultaTramite.datosConsultaPredio.numeroPredialS12}"
                                             size="4" maxlength="4" />
                            </h:panelGroup>

                            <p:spacer width="2" />
                            <p:spacer width="2" />
                        </h:panelGrid>

                        <h:panelGrid columns="4" id="tipoTramitePanel" cellpadding="3"
                                     cellspacing="5">
                            <h:outputLabel value="Tipo de solicitud: " for="tipoSolicitud"
                                           styleClass="outputLabelStyle" />
                            <h:panelGrid columns="2" id="tipoSolicitudPanel">
                                <h:selectOneMenu id="tipoSolicitud" label="Tipo de solicitud"
                                                 value="#{consultaTramite.datosConsultaTramite.tipoSolicitud}">
                                    <f:selectItem itemLabel="Seleccionar..." itemValue="" />
                                    <f:selectItems value="#{consultaTramite.tipoSolicitudItemList}" />
                                    <p:ajax update="tipoTramitePanel" process="@this"
                                            onstart="statusDialog2.show();"
                                            oncomplete="statusDialog2.hide();"
                                            listener="#{consultaTramite.cambioTipoSolicitud}" />
                                </h:selectOneMenu>
                            </h:panelGrid>

                            <h:outputLabel value="Tipo de trámite: " for="tipoTramite"
                                           id="tipoTramiteLabel" styleClass="outputLabelStyle"
                                           rendered="#{not empty consultaTramite.datosConsultaTramite.tipoSolicitud}" />
                            <h:panelGrid columns="2">
                                <h:selectOneMenu id="tipoTramite" label="Tipo de trámite"
                                                 value="#{consultaTramite.datosConsultaTramite.tipoTramite}"
                                                 rendered="#{not empty consultaTramite.datosConsultaTramite.tipoSolicitud}">
                                    <f:selectItems
                                        value="#{consultaTramite.tiposTramitePorSolicitud}" />
                                    <p:ajax process="@this" onstart="statusDialog2.show();"
                                            oncomplete="statusDialog2.hide();" update="tipoTramitePanel"
                                            listener="#{consultaTramite.cambioTipoTramite}" />
                                </h:selectOneMenu>
                            </h:panelGrid>

                            <h:outputLabel value="Clase de mutación: " for="claseMutacion"
                                           id="claseMutacionLabel" styleClass="outputLabelStyle"
                                           rendered="#{not empty consultaTramite.datosConsultaTramite.tipoTramite
                                                       and consultaTramite.datosConsultaTramite.tipoTramite eq '1'}" />
                            <h:panelGrid
                                rendered="#{not empty consultaTramite.datosConsultaTramite.tipoTramite
                                            and consultaTramite.datosConsultaTramite.tipoTramite eq '1'}">
                                <h:selectOneMenu id="claseMutacion"
                                                 value="#{consultaTramite.datosConsultaTramite.claseMutacion}">
                                    <f:selectItem itemLabel="Seleccionar..." />
                                    <f:selectItems value="#{general.mutacionClaseRadicacionConsulta}" />
                                    <p:ajax process="@this" update="tipoTramitePanel"
                                            onstart="statusDialog2.show();"
                                            oncomplete="statusDialog2.hide();" />
                                </h:selectOneMenu>
                            </h:panelGrid>

                            <h:outputLabel value="Subclase: " for="subtipoMutacion"
                                           id="subtipoMutacionLabel" styleClass="outputLabelStyle"
                                           rendered="#{not empty consultaTramite.datosConsultaTramite.claseMutacion
                                                       and (consultaTramite.datosConsultaTramite.claseMutacion eq '2'
                                                       or consultaTramite.datosConsultaTramite.claseMutacion eq '5')}" />
                            <h:panelGrid
                                rendered="#{not empty consultaTramite.datosConsultaTramite.claseMutacion
                                            and (consultaTramite.datosConsultaTramite.claseMutacion eq '2'
                                            or consultaTramite.datosConsultaTramite.claseMutacion eq '5')}">
                                <h:selectOneMenu id="subtipoMutacion"
                                                 value="#{consultaTramite.datosConsultaTramite.subtipo}">
                                    <f:selectItem itemLabel="Seleccionar..." />
                                    <f:selectItems value="#{consultaTramite.subtipoClaseMutacionV}" />
                                    <p:ajax process="@this" update="tipoTramitePanel"
                                            onstart="statusDialog2.show();"
                                            oncomplete="statusDialog2.hide();" />
                                </h:selectOneMenu>
                            </h:panelGrid>

                        </h:panelGrid>
                    </p:fieldset>

                    <p:spacer height="10" />

                    <p:fieldset>
                        <legend> 
                            <h:outputLabel
                                value="Búsqueda por datos del solicitante:"
                                styleClass="outputLabelStyle" /> 
                        </legend>
                        <p:spacer height="10" />
                        <h:panelGrid columns="3" width="100%" id="panelSolicitante">

                            <h:panelGrid id="buscarSolicitantesPanelGrid" width="100%">

                                <p:messages id="msgsBS" showDetail="false" globalOnly="true" />

                                <h:panelGrid columns="10" width="100%" cellspacing="7">
                                    <h:panelGrid columns="2">
                                        <h:outputLabel value="Tipo de persona: "
                                                       styleClass="outputLabelStyle" 
                                                       style="width:150px;"/>

                                        <h:selectOneMenu value="#{consultaTramite.tipoPersona}" style="width:150px;" >
                                            <f:selectItem itemLabel="Seleccionar..." itemValue="-1"/>
                                            <f:selectItems value="#{consultaTramite.tipoPersonaList}" />

                                            <p:ajax
                                                update="formConsultaTramite:msgsBS, buscarSolicitantesPanelGrid, PersonaTipoIdentificacionV, formConsultaTramite"
                                                listener="#{consultaTramite.tipoPersonaSel}" />
                                        </h:selectOneMenu>
                                    </h:panelGrid>
                                    <h:outputLabel value="Tipo de identificación: "
                                                   rendered="#{consultaTramite.tipoPersonaJ or consultaTramite.tipoPersonaN}"
                                                   styleClass="outputLabelStyle" />
                                    <h:selectOneMenu id="tipoIdentificacion"
                                                     label="Tipo de identificación"
                                                     value="#{consultaTramite.filtroDatosConsultaSolicitante.tipoIdentificacion}"
                                                     rendered="#{consultaTramite.tipoPersonaN}">
                                        <f:selectItems
                                            value="#{general.personaTipoIdentificacionNoNitV}" />
                                    </h:selectOneMenu>

                                    <p:spacer height="0" width="7"
                                              rendered="#{consultaTramite.tipoPersonaJ}" />
                                    <h:outputText
                                        value="#{consultaTramite.filtroDatosConsultaSolicitante.tipoIdentificacion}"
                                        id="PersonaTipoIdentificacionV" styleClass="outputTextStyle"
                                        rendered="#{consultaTramite.tipoPersonaJ}">
                                        <f:converter converterId="converterCB"
                                                     for="PersonaTipoIdentificacionV" />
                                    </h:outputText>

                                    <p:spacer height="0" width="7" />
                                    <h:outputLabel value="Número identificación: "
                                                   rendered="#{consultaTramite.tipoPersonaJ or consultaTramite.tipoPersonaN}"
                                                   styleClass="outputLabelStyle" />
                                    <h:inputText id="numeroIdentificacion"
                                                 value="#{consultaTramite.filtroDatosConsultaSolicitante.numeroIdentificacion}"
                                                 rendered="#{consultaTramite.tipoPersonaJ or consultaTramite.tipoPersonaN}"
                                                 label="Número identificación" size="30" />

                                </h:panelGrid>

                                <p:separator />

                                <h:panelGrid columns="3">
                                    <h:panelGrid columns="12" id="bloqueoI"
                                                 rendered="#{consultaTramite.tipoPersonaN}" cellspacing="7">

                                        <h:outputLabel value="Primer apellido: "
                                                       styleClass="outputLabelStyle" />
                                        <h:inputText id="primerApellido"
                                                     value="#{consultaTramite.filtroDatosConsultaSolicitante.primerApellido}"
                                                     label="Primer apellido" />

                                        <p:spacer height="0" width="7" />
                                        <h:outputLabel value="Segundo apellido: "
                                                       styleClass="outputLabelStyle" />
                                        <h:inputText id="segundoApellido"
                                                     value="#{consultaTramite.filtroDatosConsultaSolicitante.segundoApellido}"
                                                     label="Segundo apellido" />

                                        <p:spacer height="0" width="7" />
                                        <h:outputLabel value="Primer nombre: "
                                                       styleClass="outputLabelStyle" />
                                        <h:inputText id="primerNombre"
                                                     value="#{consultaTramite.filtroDatosConsultaSolicitante.primerNombre}"
                                                     label="Primer nombre" />

                                        <p:spacer height="0" width="7" />
                                        <h:outputLabel value="Segundo nombre: "
                                                       styleClass="outputLabelStyle" />
                                        <h:inputText id="segundoNombre"
                                                     value="#{consultaTramite.filtroDatosConsultaSolicitante.segundoNombre}"
                                                     label="Segundo nombre" />

                                    </h:panelGrid>

                                    <h:panelGrid columns="5"
                                                 rendered="#{consultaTramite.tipoPersonaJ}" cellspacing="7">

                                        <h:outputLabel value="Razón social: "
                                                       styleClass="outputLabelStyle" />
                                        <h:inputText id="razonS"
                                                     value="#{consultaTramite.filtroDatosConsultaSolicitante.razonSocial}"
                                                     size="40" label="Razón social" />

                                        <p:spacer height="0" width="7" />
                                        <h:outputLabel value="DV" styleClass="outputLabelStyle" />
                                        <h:inputText id="dv"
                                                     value="#{consultaTramite.filtroDatosConsultaSolicitante.digitoVerificacion}"
                                                     size="2" label="DV" />
                                    </h:panelGrid>

                                </h:panelGrid>

                            </h:panelGrid>
                        </h:panelGrid>
                    </p:fieldset>

                    <p:spacer height="10" width="25" />

                    <p:fieldset>
                        <h:panelGrid columns="4" cellpadding="3" cellspacing="3">
                            <h:outputLabel value="Estado:" styleClass="outputLabelStyle" />
                            <h:selectOneMenu style="width:150px;"
                                             value="#{consultaTramite.estadoTramite}">
                                <f:selectItems value="#{consultaTramite.estadosTramiteItemList}" />
                            </h:selectOneMenu>
                        </h:panelGrid>
                    </p:fieldset>

                    <p:spacer height="10" width="25" />

                    <p:outputPanel layout="block" style="text-align:left">

                        <p:spacer height="13" width="13" />

                        <p:commandButton value="Buscar" widgetVar="buscarBtn" id="buscarBtn"
                                         icon="ui-icon ui-icon-search"
                                         update="panelTablaTramites, msgConsultaTramite"
                                         action="#{consultaTramite.busquedaConFiltros}"
                                         onstart="statusDialog2.show();" onsuccess="statusDialog2.hide();" />

                        <p:spacer height="0" width="25" />

                        <p:commandButton value="Limpiar" widgetVar="limpiarBtn"
                                         id="limpiarBtn" icon="ui-icon-tag" update="formConsultaTramite"
                                         action="#{consultaTramite.limpiarFiltros}">
                        </p:commandButton>


                        <p:spacer height="0" width="25" />

                    </p:outputPanel>


                    <p:spacer height="10" width="25" />

                    <p:panel header="Trámites resultado de la búsqueda"
                             id="panelTablaTramites">

                        <p:dataTable id="dataTableTramites"
                                     value="#{consultaTramite.tramitesResult}" var="tramite"
                                     paginator="true" rows="20" rowKey="#{tramite.id}"
                                     paginatorPosition="bottom"
                                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                     rowsPerPageTemplate="10,20,50"
                                     emptyMessage="No se encontraron trámites."
                                     currentPageReportTemplate="{totalRecords} trámite(s) hallado(s), Página: {currentPage} de {totalPages}">

                            <p:column rendered="true" styleClass="panelNoBorder" >
                                <f:facet name="header">
                                    Trámites&nbsp;<br />asociados
                                </f:facet>
                                <p:commandLink
                                    rendered="#{fn:length(tramite.tramites)> 0}"
                                    update=":detalleTramitesAsociadosEjecutarForm" ajax="true"
                                    styleClass="panelNoBorder"
                                    onstart="statusDialog2.show()"
                                    oncomplete="statusDialog2.hide();detalleTramitesAsociadosdWV.show();" 
                                    >
                                    <p:graphicImage url="/images/link.jpg"></p:graphicImage>
                                    <f:setPropertyActionListener 
                                        value="#{tramite}"
                                        target="#{vistaDetalleTramitesAsociados.tramiteConAsociadosSeleccionado}" 
                                        />
                                </p:commandLink>


                            </p:column>

                            <p:column headerText="No. Solicitud"  filterMatchMode="contains"> 
                                <p:commandLink update=":detalleSolicitudEjecutarForm" 
                                               onstart="statusDialog2.show();"
                                               oncomplete="detalleSolicitudWV.show();statusDialog2.hide();" ajax="true">
                                    <h:outputText value="#{tramite.solicitud.numero}"
                                                  styleClass="commandLinkStyleInTable" />
                                    <f:setPropertyActionListener value="#{tramite.solicitud}"
                                                                 target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                                </p:commandLink>

                            </p:column>

                            <p:column headerText="Número de radicación" style="white-space:pre-line;" sortBy="#{tramite.numeroRadicacion}" filterBy="#{tramite.numeroRadicacion}" filterMatchMode="contains">
                                <p:commandLink styleClass="commandLinkStyle"
                                               oncomplete="detalleTramiteEjecutarWV.show(); statusDialog2.hide();"
                                               onstart="statusDialog2.show()"
                                               update=":detalleTramiteEjecutarForm">
                                    <h:outputText value="#{tramite.numeroRadicacion}"
                                                  styleClass="outputTextStyleInTable" />
                                    <f:setPropertyActionListener value="#{tramite}"
                                                                 target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                                </p:commandLink>
                            </p:column>

                            <p:column sortBy="#{tramite.fechaRadicacion}">
                                <f:facet name="header">
                                    Fecha de &nbsp;<br />radicación
                                </f:facet>
                                <h:outputText value="#{tramite.fechaRadicacion}"
                                              styleClass="outputTextStyleInTable">
                                    <f:convertDateTime pattern="#{general.formatoFechaUsuario}" />
                                </h:outputText>
                            </p:column>

                            <p:column headerText="Tipo de trámite" sortBy="#{tramite.tipoTramiteCadenaCompleto}" filterBy="#{tramite.tipoTramiteCadenaCompleto}" filterMatchMode="contains">
                                <h:outputText value="#{tramite.tipoTramiteCadenaCompleto}"
                                              styleClass="outputTextStyleInTable" />
                            </p:column>

                            <p:column headerText="Departamento" sortBy="#{tramite.departamento.nombre}" filterMatchMode="contains">
                                <h:outputText value="#{tramite.departamento.nombre}"
                                              styleClass="outputTextStyleInTable" />
                            </p:column>

                            <p:column headerText="Municipio" sortBy="#{tramite.municipio.nombre}" filterBy="#{tramite.municipio.nombre}" filterMatchMode="contains">
                                <h:outputText value="#{tramite.municipio.nombre}"
                                              styleClass="outputTextStyleInTable" />
                            </p:column>

                            <p:column 	headerText="Clasificación &nbsp;&nbsp;&nbsp;&nbsp;" sortBy="#{tramite.clasificacion}" 
                                       filterMatchMode="contains">
                                <h:outputText id="TramiteClasificacionV" style="width:150px"
                                              styleClass="outputTextStyleInTable" value="#{tramite.clasificacion}">
                                    <f:converter converterId="converterCB"
                                                 for="TramiteClasificacionV" />
                                </h:outputText>
                            </p:column>

                            <p:column headerText="Usuario" filterMatchMode="contains">
                                <h:outputText rendered="#{tramite.usuarioActividadTramite.nombreCompleto!=null 
                                                          and tramite.usuarioActividadTramite.nombreCompleto!=''}"
                                              value="#{tramite.usuarioActividadTramite.nombreCompleto}"
                                              styleClass="outputTextStyleInTable" />
                                <h:outputText rendered="#{tramite.usuarioActividadTramite.nombreCompleto==null 
                                                          or tramite.usuarioActividadTramite.nombreCompleto==''}"
                                              value="#{tramite.usuarioActividadTramite.login}"
                                              styleClass="outputTextStyleInTable" />
                            </p:column>

                            <p:column headerText="Rol">
                                <h:outputText value="#{tramite.nombreRolUsuarioActual}"
                                              styleClass="outputTextStyleInTable" />
                            </p:column>

                            <p:column headerText="Actividad" sortBy="#{tramite.actividadActualTramite.nombreDeDespliegue}" filterBy="#{tramite.actividadActualTramite.nombreDeDespliegue}" filterMatchMode="contains">
                                <h:outputText value="#{tramite.actividadActualTramite.nombreDeDespliegue}"
                                              styleClass="outputTextStyleInTable">
                                </h:outputText>
                            </p:column>

                            <p:column headerText="Resolución" sortBy="#{tramite.numeroResolucion}" filterBy="#{tramite.numeroResolucion}" filterMatchMode="contains">
                                <p:commandLink styleClass="commandLinkStyle"
                                               onstart="statusDialog2.show()"
                                               oncomplete="statusDialog2.hide();visorReporteWV.show();"
                                               action="#{consultaTramite.cargarResolucion}"
                                               update=":viewReport:vistaMemoForm">
                                    <h:outputText value="#{tramite.numeroResolucion}"
                                                  styleClass="commandLinkStyleInTable" />
                                    <f:setPropertyActionListener value="#{tramite}"
                                                                 target="#{consultaTramite.tramiteSeleccionado2}" />
                                </p:commandLink>
                            </p:column>

                            <p:column headerText="Estado" filterMatchMode="contains">
                                <h:outputText value="#{tramite.estado}"
                                              styleClass="outputTextStyle">
                                </h:outputText>
                            </p:column>

                            <p:column headerText="Documentos" 
                                      rendered="#{consultaTramite.rolPermitidoDocumentosTramite}">
                                <p:commandLink oncomplete="detalleDocumentosTramiteWV.show(); statusDialog2.hide();"
                                               action="#{consultaTramite.cargarDocumentos}"
                                               onstart="statusDialog2.show()" 
                                               update=":formConsultaDocumento">                                 
                                    <p:graphicImage url="/images/pdf.png"></p:graphicImage>
                                    <f:setPropertyActionListener value="#{tramite}"
                                                                 target="#{consultaTramite.tramiteSeleccionadoDocumentos}" />
                                </p:commandLink>
                            </p:column>

                            <p:column headerText="Observaciones">
                                <h:outputText value="#{consultaTramite.tramiteObs[tramite.id]}"
                                              styleClass="outputTextStyleInTable">
                                </h:outputText>
                            </p:column>


                            <p:column headerText="Estado marcación">
                                <h:outputText styleClass="outputTextStyle"
                                              id="TramiteEstadoBloqueoV" value="#{tramite.estadoBloqueo}">
                                    <f:converter converterId="converterCB"
                                                 for="TramiteTipoEstadoBloqueoV"></f:converter>
                                </h:outputText>
                            </p:column>

                            <p:column headerText="Proceso">
                                <p:commandLink ajax="true" immediate="true" title="Ver proceso"
                                               oncomplete="procesoImgWV.show()" update=":procesoImg">
                                    <p:graphicImage url="/images/proceso2.JPG"></p:graphicImage>
                                    <f:setPropertyActionListener value="#{tramite.actividadActualTramite.id}"
                                                                 target="#{tareasPendientes.idTarea}" />
                                </p:commandLink>
                            </p:column>

                        </p:dataTable>
                    </p:panel>

                    <p:separator style="width:98%;height:3px" />

                    <p:spacer height="7" width="0" />
                    <p:outputPanel layout="block" style="text-align:right">
                        <p:commandButton value="Volver" icon="ui-icon-arrowthick-1-w"
                                         immediate="true" process="@this" title="Volver" label="Volver"
                                         action="#{consultaTramite.volverAlInicio}"
                                         ajax="false" />
                        <p:spacer height="0" width="10" />
                    </p:outputPanel>

                </p:panel>

            </h:panelGrid>

        </h:form>

        <p:dialog widgetVar="procesoImgWV" showEffect="fade" showHeader="true"
                  closable="true" dynamic="true" id="procesoImg" modal="true"
                  height="500" width="800" maximizable="true" appendToBody="true"
                  header="Proceso" draggable="false" resizable="true">
            <h:panelGrid cellpadding="5" cellspacing="5"
                         style="text-align:center;">
                <p:graphicImage url="#{tareasPendientes.imagenProceso}" height="1100" />
            </h:panelGrid>
        </p:dialog>

        <p:dialog header="Trámites asociados" dynamic="true"
                  widgetVar="detalleTramitesAsociadosdWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include
                src="/conservacion/ejecucion/detalleTramitesAsociados.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetalleTramitesAsociados}" />
                <ui:param name="selTramiteConAsocParam"
                          value="#{vistaDetalleTramitesAsociados.tramiteConAsociadosSeleccionado}" />
                <ui:param name="tramiteResumenID"
                          value="" />
            </ui:include>
        </p:dialog>


        <p:dialog header="Detalle de la solicitud" dynamic="true"
                  widgetVar="detalleSolicitudWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include
                src="/conservacion/ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                <ui:param name="tramiteResumenID"
                          value="" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle del trámite"
                  dynamic="true" widgetVar="detalleTramiteEjecutarWV" modal="false"
                  appendToBody="true" resizable="true" position="center" height="480"
                  width="960">
            <ui:include src="/conservacion/ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Documentos" dynamic="true"
                  widgetVar="detalleDocumentosTramiteWV" modal="false" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include src="/tramite/gestionConsultaDocumento.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>

        <predio:consultaPrediosCC id="cpCC" thisCCId="cpCC"
                                  managedBean="#{consultaPredio}" thisWVName="consultaPrediosDlgWV"
                                  ccIdsChain1=":psCC" ccIdsChain2=":dpCC"
                                  selectedPrediosWVName="prediosSeleccionadosDlgWV"
                                  mostrarBusquedaAvanzada="true" detallesPredioWV="detallePredioWV"
                                  additionMethod1="#{consultaPredio.adicionarPredio1}"
                                  usePrediosButtonRendered="false"
                                  verPrediosSeleccionadosButtonRendered="false"
                                  usePrediosMethod="#{gestionarSolicitudes.adicionarPrediosAlTramite}"
                                  idsComponentsToUpdate=":msgsGSB" />

        <predio:prediosSeleccionadosCC id="psCC"
                                       managedBean="#{consultaPredio}"
                                       thisWVName="prediosSeleccionadosDlgWV" ccIdsChain="dpCC"
                                       detallesPredioWV="detallePredioWV"
                                       usePrediosMethod="#{gestionarSolicitudes.adicionarPrediosAlTramite}"
                                       consultaPredioPredioWV="consultaPrediosDlgWV"
                                       usePrediosButtonRendered="true"
                                       idsComponentsToUpdate=":nuevoTramiteSolForm:contenedorPredios,:nuevoTramiteSolForm:msgsTramite, :nuevoTramiteSolForm:datosTramiteAutoavaluoEdicionPanelGrid" />

        <predio:detallesPredioCC id="dpCC" thisWVName="detallePredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />

        <misc:visualizadorMemorandosCC
            id="dcViewer"
            thisWVName="dcViewerWV"
            nombreDialogo="Documento soporte"
            urlDocumento="#{previsualizacionDocumento.rutaArchivoTemporal}"
            fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
            documentoGenerado="#{previsualizacionDocumento.reporteDTO ne null}"
            radicarButtonVisible="false"
            radicarButtonEnabled="false"
            cancelButtonEnabled="false"
            cancelButtonVisible="false"/>

        <misc:visualizadorMemorandosCC
            id="viewReport"
            thisWVName="visorReporteWV"
            urlDocumento="#{consultaTramite.reporteDocumentoWaterMark.urlWebReporte}"
            fileContent="#{consultaTramite.reporteDocumentoWaterMark.streamedContentReporte}"
            documentoGenerado="#{consultaTramite.reporteDocumentoWaterMark ne null}"
            radicarButtonVisible="false"
            cancelButtonEnabled="false"/>

    </ui:define>

</ui:composition>
